org.eclipse.mat.internal.snapshot.inspections

## Class ShowInDominatorQuery

- java.lang.Object
- - org.eclipse.mat.internal.snapshot.inspections.DominatorQuery
  - - org.eclipse.mat.internal.snapshot.inspections.ShowInDominatorQuery

All Implemented Interfaces:
  IQuery

    public class ShowInDominatorQuery
    extends DominatorQuery

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.mat.internal.snapshot.inspections.DominatorQuery

`DominatorQuery.Factory, DominatorQuery.Grouping, DominatorQuery.Tree`

### Field Summary

Fields
`IHeapObjectArgument` `objects`

### Fields inherited from class org.eclipse.mat.internal.snapshot.inspections.DominatorQuery

`groupBy, snapshot`

### Constructor Summary

Constructors
Constructor and Description
`ShowInDominatorQuery()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DominatorQuery.Tree` `execute(IProgressListener listener)` The execute method is called after all arguments have been injected into the query instance.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### objects

    public IHeapObjectArgument objects

### Constructor Detail

#### ShowInDominatorQuery

    public ShowInDominatorQuery()

### Method Detail

#### execute

    public DominatorQuery.Tree execute(IProgressListener listener)
                                throws Exception

Description copied from interface: `IQuery`
The execute method is called after all arguments have been injected into the query instance. Typical results are `TextResult`, `CompositeResult`, `SectionSpec` etc.

Specified by:
  `execute` in interface `IQuery`
Overrides:
  `execute` in class `DominatorQuery`
Parameters:
  `listener` - Monitor to report progress and check for cancellation.
Returns:
  The result of the query.
Throws:
  `Exception`